%global homedir %{_datadir}/%{name}
%global confdir extras/packaging/rpm/sources
%global foreman_rake %{_sbindir}/%{name}-rake

%if "%{?scl}" == "ruby193"
    %global scl_prefix %{scl}-
    %global scl_ruby /usr/bin/ruby193-ruby
    %global scl_rake /usr/bin/ruby193-rake
    ### TODO temp disabled for SCL
    %global nodoc 1
%else
    %global scl_ruby /usr/bin/ruby
    %global scl_rake /usr/bin/rake
%endif

# set and uncomment all three to set alpha tag
#global alphatag RC2
#global dotalphatag .%{alphatag}
#global dashalphatag -%{alphatag}

Name:   foreman
Version: 1.7.2.63
Release: 1%{?dotalphatag}%{?dist}
Summary:Systems Management web application

Group:  Applications/System
License: GPLv3+ with exceptions
URL: http://theforeman.org
Source0: http://downloads.theforeman.org/%{name}/%{name}-%{version}%{?dashalphatag}.tar.gz
BuildArch:  noarch

%if 0%{?fedora} && 0%{?fedora} < 17
Requires: %{?scl_prefix}ruby(abi) = 1.8
%else
%if 0%{?fedora} && 0%{?fedora} > 18
Requires: %{?scl_prefix}ruby(release)
%else
Requires: %{?scl_prefix}ruby(abi) = 1.9.1
%endif
%endif
Requires: %{scl_ruby}
Requires: %{?scl_prefix}rubygems
Requires: %{?scl_prefix}facter
Requires: wget
Requires: /etc/cron.d
Requires(pre):  shadow-utils
Requires(post): chkconfig
Requires(preun): chkconfig
Requires(preun): initscripts
Requires(postun): initscripts

# Subpackages
Requires: %{name}-debug

Requires: %{?scl_prefix}rubygem(json)
Requires: %{?scl_prefix}rubygem(rails) >= 3.2.8
Requires: %{?scl_prefix}rubygem(rails) < 3.3.0
# minitest - workaround as rubygem-activesupport is missing dep
Requires: %{?scl_prefix}rubygem(minitest)
Requires: %{?scl_prefix}rubygem(rest-client)
Requires: %{?scl_prefix}rubygem(will_paginate) >= 3.0.0
Requires: %{?scl_prefix}rubygem(will_paginate) < 3.1.0
Requires: %{?scl_prefix}rubygem(ancestry) >= 2.0.0
Requires: %{?scl_prefix}rubygem(ancestry) < 3.0.0
Requires: %{?scl_prefix}rubygem(scoped_search) >= 2.7.0
Requires: %{?scl_prefix}rubygem(scoped_search) < 3.0.0
Requires: %{?scl_prefix}rubygem(net-ldap)
Requires: %{?scl_prefix}rubygem(safemode) >= 1.2.1
Requires: %{?scl_prefix}rubygem(safemode) < 1.3.0
Requires: %{?scl_prefix}rubygem(uuidtools)
Requires: %{?scl_prefix}rubygem(oauth)
Requires: %{?scl_prefix}rubygem(rabl) >= 0.7.5
Requires: %{?scl_prefix}rubygem(rake) >= 0.8.3
Requires: %{?scl_prefix}rubygem(ruby_parser) >= 3.0.0
Requires: %{?scl_prefix}rubygem(audited-activerecord) >= 3.0.0
Requires: %{?scl_prefix}rubygem(apipie-rails) >= 0.2.5
Requires: %{?scl_prefix}rubygem(apipie-rails) < 0.3.0
Requires: %{?scl_prefix}rubygem(bundler_ext)
Requires: %{?scl_prefix}rubygem(fast_gettext) >= 0.8.0
Requires: %{?scl_prefix}rubygem(gettext_i18n_rails) >= 0.10.0
Requires: %{?scl_prefix}rubygem(gettext_i18n_rails) < 1.0.0
Requires: %{?scl_prefix}rubygem(gettext_i18n_rails_js) >= 0.0.8
Requires: %{?scl_prefix}rubygem(i18n_data) >= 0.2.6
Requires: %{?scl_prefix}rubygem(therubyracer)
Requires: %{?scl_prefix}rubygem(foreigner) >= 1.4.2
Requires: %{?scl_prefix}rubygem(deep_cloneable) >= 2.0.0
Requires: %{?scl_prefix}rubygem(deep_cloneable) < 3.0.0
Requires: %{?scl_prefix}rubygem(validates_lengths_from_database) >= 0.2.0
Requires: %{?scl_prefix}rubygem(validates_lengths_from_database) < 0.3.0
Requires: %{?scl_prefix}rubygem(ldap_fluff) >= 0.3.0
Requires: %{?scl_prefix}rubygem(ldap_fluff) < 1.0.0
Requires: %{?scl_prefix}rubygem(friendly_id) >= 4.0
Requires: %{?scl_prefix}rubygem(friendly_id) < 5.0
Requires: %{?scl_prefix}rubygem(secure_headers) >= 1.3.3
Requires: %{?scl_prefix}rubygem(secure_headers) < 1.4.0
BuildRequires: %{?scl_prefix}rubygem(ancestry) >= 2.0.0
BuildRequires: %{?scl_prefix}rubygem(ancestry) < 3.0.0
BuildRequires: %{?scl_prefix}rubygem(apipie-rails) >= 0.2.5
BuildRequires: %{?scl_prefix}rubygem(apipie-rails) < 0.3.0
BuildRequires: %{?scl_prefix}rubygem(audited-activerecord) >= 3.0.0
BuildRequires: %{?scl_prefix}rubygem(bundler_ext)
BuildRequires: %{?scl_prefix}rubygem(gettext) >= 1.9.3
BuildRequires: %{?scl_prefix}rubygem(fast_gettext)
BuildRequires: %{?scl_prefix}rubygem(gettext_i18n_rails) >= 0.10.0
BuildRequires: %{?scl_prefix}rubygem(gettext_i18n_rails) < 1.0.0
BuildRequires: %{?scl_prefix}rubygem(gettext_i18n_rails_js) >= 0.0.8
BuildRequires: %{?scl_prefix}rubygem(i18n_data) >= 0.2.6
BuildRequires: %{?scl_prefix}rubygem(jquery-rails) >= 2.0.2
BuildRequires: %{?scl_prefix}rubygem(jquery-rails) < 2.1
BuildRequires: %{?scl_prefix}rubygem(jquery-ui-rails) < 5.0.0
BuildRequires: %{?scl_prefix}rubygem(net-ldap)
BuildRequires: %{?scl_prefix}rubygem(oauth)
BuildRequires: %{?scl_prefix}rubygem(rabl) >= 0.7.5
BuildRequires: %{?scl_prefix}rubygem(rake)
BuildRequires: %{?scl_prefix}rubygem(rest-client)
BuildRequires: %{?scl_prefix}rubygem(ruby_parser) >= 3.0.0
BuildRequires: %{?scl_prefix}rubygem(safemode) >= 1.2.1
BuildRequires: %{?scl_prefix}rubygem(sass-rails) => 3.2.3
BuildRequires: %{?scl_prefix}rubygem(sass-rails) < 3.3
BuildRequires: %{?scl_prefix}rubygem(scoped_search) >= 2.7.0
BuildRequires: %{?scl_prefix}rubygem(scoped_search) < 3.0.0
BuildRequires: %{?scl_prefix}rubygem(sqlite3)
BuildRequires: %{?scl_prefix}rubygem(therubyracer)
BuildRequires: %{?scl_prefix}rubygem(bootstrap-sass) >= 3.0.3.0
BuildRequires: %{?scl_prefix}rubygem(bootstrap-sass) < 3.0.4
BuildRequires: %{?scl_prefix}rubygem(uglifier) >= 1.0.3
BuildRequires: %{?scl_prefix}rubygem(uuidtools)
BuildRequires: %{?scl_prefix}rubygem(will_paginate) >= 3.0.2
BuildRequires: %{?scl_prefix}rubygem(rails)
# minitest - workaround as rubygem-activesupport is missing dep
BuildRequires: %{?scl_prefix}rubygem(minitest)
BuildRequires: %{?scl_prefix}rubygem(quiet_assets)
BuildRequires: %{?scl_prefix}rubygem(spice-html5-rails)
BuildRequires: %{?scl_prefix}rubygem(flot-rails) = 0.0.3
BuildRequires: %{?scl_prefix}rubygem(foreigner) >= 1.4.2
BuildRequires: %{?scl_prefix}rubygem(multi-select-rails) >= 0.9.10
BuildRequires: %{?scl_prefix}rubygem(multi-select-rails) < 0.10.0
BuildRequires: %{?scl_prefix}rubygem(deep_cloneable) >= 2.0.0
BuildRequires: %{?scl_prefix}rubygem(deep_cloneable) < 3.0.0
BuildRequires: %{?scl_prefix}rubygem(gridster-rails)
BuildRequires: %{?scl_prefix}rubygem(validates_lengths_from_database) >= 0.2.0
BuildRequires: %{?scl_prefix}rubygem(validates_lengths_from_database) < 0.3.0
BuildRequires: %{?scl_prefix}rubygem(ldap_fluff) >= 0.3.0
BuildRequires: %{?scl_prefix}rubygem(ldap_fluff) < 1.0.0
BuildRequires: %{?scl_prefix}rubygem(friendly_id) >= 4.0
BuildRequires: %{?scl_prefix}rubygem(friendly_id) < 5.0
BuildRequires: %{?scl_prefix}rubygem(jquery_pwstrength_bootstrap)
BuildRequires: %{?scl_prefix}rubygem(secure_headers) >= 1.3.3
BuildRequires: %{?scl_prefix}rubygem(secure_headers) < 1.4.0
BuildRequires: %{?scl_prefix}facter
BuildRequires: gettext
BuildRequires: asciidoc
BuildRequires: %{?scl_prefix}rubygem(rake)
BuildRequires: %{scl_ruby}

%package cli
Summary: Foreman CLI
Group: Applications/System
Requires: %{name} = %{version}-%{release}
Requires: rubygem(hammer_cli)
Requires: rubygem(hammer_cli_foreman)

%description cli
Meta Package to install hammer rubygems and its dependencies

%files cli

%package debug
Summary: Foreman debug utilities
Group: Applications/System
Requires: rsync

%description debug
Useful utilities for debug info collection

%files debug
%{_sbindir}/%{name}-debug
%{_datadir}/%{name}/script/%{name}-debug.d

%package release
Summary:        Foreman repository files
Group:  	Applications/System


%description release
Foreman repository contains open source and other distributable software for
distributions in RPM format. This package contains the repository configuration
for Yum.

%files release
%config %{_sysconfdir}/yum.repos.d/*
/etc/pki/rpm-gpg/*

%package libvirt
Summary: Foreman libvirt support
Group:  Applications/System
Requires: %{?scl_prefix}rubygem(ruby-libvirt)
Requires: %{name} = %{version}-%{release}
Requires: foreman-compute = %{version}-%{release}
Obsoletes: foreman-virt < 1.0.0
Provides: foreman-virt = 1.0.0

%description libvirt
Meta Package to install requirements for virt support

%files libvirt
%{_datadir}/%{name}/bundler.d/libvirt.rb

%package ovirt
Summary: Foreman ovirt support
Group:  Applications/System
Requires: %{?scl_prefix}rubygem(rbovirt) >= 0.0.24
Requires: foreman-compute = %{version}-%{release}
Requires: %{name} = %{version}-%{release}

%description ovirt
Meta Package to install requirements for ovirt support

%files ovirt
%{_datadir}/%{name}/bundler.d/ovirt.rb

%package compute
Summary: Foreman Compute Resource support via fog
Group:  Applications/System
Requires: %{?scl_prefix}rubygem-fog >= 1.24.0
Requires: %{?scl_prefix}rubygem-fog-core >= 1.24.0
Requires: %{?scl_prefix}rubygem-unf
Requires: %{name} = %{version}-%{release}
Obsoletes: foreman-fog < 1.0.0
Provides: foreman-fog = 1.0.0
Obsoletes: foreman-ec2
Provides: foreman-ec2

%description compute
Meta Package to install requirements for compute resource support, in
particular, Amazon EC2, OpenStack and Rackspace.

%files compute
%{_datadir}/%{name}/bundler.d/fog.rb

%package vmware
Summary: Foreman vmware support
Group:  Applications/System
Requires: %{?scl_prefix}rubygem(rbvmomi) >= 1.6.0
Requires: %{?scl_prefix}rubygem(rbvmomi) < 1.7.0
Requires: %{name} = %{version}-%{release}
Requires: foreman-compute = %{version}-%{release}

%description vmware
Meta Package to install requirements for vmware support

%files vmware
%{_datadir}/%{name}/bundler.d/vmware.rb

%package gce
Summary: Foreman Google Compute Engine (GCE) support
Group:  Applications/System
Requires: %{?scl_prefix}rubygem(google-api-client)
Requires: %{?scl_prefix}rubygem(sshkey)
Requires: %{name} = %{version}-%{release}
Requires: foreman-compute = %{version}-%{release}

%description gce
Meta package to install requirements for Google Compute Engine (GCE) support

%files gce
%{_datadir}/%{name}/bundler.d/gce.rb

%package assets
Summary: Foreman asset pipeline support
Group: Applications/system
Requires: %{name} = %{version}-%{release}
Requires: %{?scl_prefix}rubygem(jquery-rails) >= 2.0.2
Requires: %{?scl_prefix}rubygem(jquery-rails) < 2.1
Requires: %{?scl_prefix}rubygem(jquery-ui-rails) < 5.0.0
Requires: %{?scl_prefix}rubygem(quiet_assets)
Requires: %{?scl_prefix}rubygem(sass-rails) >= 3.2.3
Requires: %{?scl_prefix}rubygem(sass-rails) < 3.3
Requires: %{?scl_prefix}rubygem(spice-html5-rails)
Requires: %{?scl_prefix}rubygem(therubyracer)
Requires: %{?scl_prefix}rubygem(bootstrap-sass) >= 3.0.3.0
Requires: %{?scl_prefix}rubygem(bootstrap-sass) < 3.0.4
Requires: %{?scl_prefix}rubygem(uglifier)
Requires: %{?scl_prefix}rubygem(flot-rails) = 0.0.3
Requires: %{?scl_prefix}rubygem(gettext_i18n_rails_js) >= 0.0.8
Requires: %{?scl_prefix}rubygem(gettext) >= 1.9.3
Requires: %{?scl_prefix}rubygem(multi-select-rails) >= 0.9.10
Requires: %{?scl_prefix}rubygem(multi-select-rails) < 0.10.0
Requires: %{?scl_prefix}rubygem(gridster-rails)
Requires: %{?scl_prefix}rubygem(jquery_pwstrength_bootstrap)

%description assets
Meta package to install asset pipeline support.

%files assets
%{_datadir}/%{name}/bundler.d/assets.rb
%{_sysconfdir}/rpm/macros.%{name}-assets

%package console
Summary: Foreman console support
Group:  Applications/System
Requires: %{?scl_prefix}rubygem(awesome_print)
Requires: %{?scl_prefix}rubygem(hirb-unicode)
Requires: %{?scl_prefix}rubygem(wirb)
Requires: %{name} = %{version}-%{release}

%description console
Meta Package to install requirements for console support

%files console
%{_datadir}/%{name}/bundler.d/console.rb

%package mysql2
Summary: Foreman mysql2 support
Group:  Applications/System
Requires: %{?scl_prefix}rubygem(mysql2)
Requires: %{name} = %{version}-%{release}
Obsoletes: %{name}-mysql < 1.4.0
Provides: %{name}-mysql = %{version}

%description mysql2
Meta Package to install requirements for mysql2 support

%files mysql2
%{_datadir}/%{name}/bundler.d/mysql2.rb

%package postgresql
Summary: Foreman Postgresql support
Group:  Applications/System
Requires: %{?scl_prefix}rubygem(pg)
Requires: %{name} = %{version}-%{release}

%description postgresql
Meta Package to install requirements for postgresql support

%files postgresql
%{_datadir}/%{name}/bundler.d/postgresql.rb

%package sqlite
Summary: Foreman sqlite support
Group:  Applications/System
Requires: %{?scl_prefix}rubygem(sqlite3)
Requires: %{name} = %{version}-%{release}

%description sqlite
Meta Package to install requirements for sqlite support

%files sqlite
%{_datadir}/%{name}/bundler.d/sqlite.rb

# <devel packages are not SCL enabled yet - not avaiable on SCL platforms>
%if %{?scl:0}%{!?scl:1}

%package devel
Summary: Foreman devel support
Group:  Applications/System
Requires: %{?scl_prefix}rubygem(ruby-debug19)
Requires: %{name} = %{version}-%{release}
Requires: %{name}-cli = %{version}-%{release}
Requires: %{name}-libvirt = %{version}-%{release}
Requires: %{name}-ovirt = %{version}-%{release}
Requires: %{name}-compute = %{version}-%{release}
Requires: %{name}-vmware = %{version}-%{release}
Requires: %{name}-gce = %{version}-%{release}
Requires: %{name}-console = %{version}-%{release}
Requires: %{name}-mysql2 = %{version}-%{release}
Requires: %{name}-postgresql = %{version}-%{release}
Requires: %{name}-sqlite = %{version}-%{release}
Requires: %{name}-test = %{version}-%{release}
Requires: %{?scl_prefix}rubygem(ci_reporter)
Requires: %{?scl_prefix}rubygem(gettext)
Requires: %{?scl_prefix}rubygem(maruku)
Requires: %{?scl_prefix}rubygem(single_test)
Requires: %{?scl_prefix}rubygem(pry)
Requires: %{?scl_prefix}rubygem(term-ansicolor)
Requires: %{?scl_prefix}rubygem(rack-mini-profiler)
Requires: %{?scl_prefix}rubygem(immigrant)
Requires: %{name}-assets = %{version}-%{release}

%description devel
Meta Package to install requirements for devel support

%files devel
%{_datadir}/%{name}/bundler.d/development.rb

%package test
Summary: Foreman test support
Group:  Applications/System
Requires: %{?scl_prefix}rubygem(mocha)
Requires: %{?scl_prefix}rubygem(rake)
Requires: %{?scl_prefix}rubygem(maruku)
Requires: %{?scl_prefix}rubygem(single_test)
Requires: %{name} = %{version}-%{release}

%description test
Meta Package to install requirements for test

%files test
%{_datadir}/%{name}/bundler.d/test.rb

%endif

%description
Foreman is aimed to be a Single Address For All Machines Life Cycle Management.
Foreman is based on Ruby on Rails, and this package bundles Rails and all
plugins required for Foreman to work.

%prep
%setup -q -n %{name}-%{version}%{?dashalphatag}

%build
#build man pages
%{scl_rake} -f Rakefile.dist build \
  PREFIX=%{_prefix} \
  SBINDIR=%{_sbindir} \
  SYSCONFDIR=%{_sysconfdir} \
  --trace

#replace shebangs and binaries in scripts for SCL
%if %{?scl:1}%{!?scl:0}
  # shebangs
  for f in extras/rdoc/rdoc_prepare_script.rb \
  script/rails script/performance/profiler script/performance/benchmarker script/foreman-config ; do
    sed -ri '1sX(/usr/bin/ruby|/usr/bin/env ruby)X%{scl_ruby}X' $f
  done
  sed -ri '1,$sX/usr/bin/rubyX%{scl_ruby}X' foreman.init
  # script content
  sed -ri 'sX/usr/bin/rakeX%{scl_rake}X' extras/dbmigrate script/foreman-rake
%endif

#build locale files
make -C locale all-mo

#use Bundler_ext instead of Bundler
mv Gemfile Gemfile.in

# fix the issue with loading scoped_search
# upstream bug https://github.com/wvanbergen/scoped_search/issues/53
sed -i "s/gem 'scoped_search'/gem 'sprockets'\n&/" Gemfile.in
cp config/database.yml.example config/database.yml
cp config/settings.yaml.example config/settings.yaml
export BUNDLER_EXT_NOSTRICT=1
export BUNDLER_EXT_GROUPS="default assets"
%{scl_rake} assets:precompile:all RAILS_ENV=production --trace
rm config/database.yml config/settings.yaml

%install
rm -rf %{buildroot}

#install man pages
%{scl_rake} -f Rakefile.dist install \
  PREFIX=%{buildroot}%{_prefix} \
  SBINDIR=%{buildroot}%{_sbindir} \
  SYSCONFDIR=%{buildroot}%{_sysconfdir} \
  --trace
%{scl_rake} -f Rakefile.dist clean

install -d -m0755 %{buildroot}%{_datadir}/%{name}
install -d -m0755 %{buildroot}%{_datadir}/%{name}/plugins
install -d -m0755 %{buildroot}%{_sysconfdir}/%{name}
install -d -m0755 %{buildroot}%{_sysconfdir}/%{name}/plugins
install -d -m0755 %{buildroot}%{_localstatedir}/lib/%{name}
install -d -m0755 %{buildroot}%{_localstatedir}/lib/%{name}/tmp
install -d -m0755 %{buildroot}%{_localstatedir}/lib/%{name}/tmp/pids
install -d -m0755 %{buildroot}%{_localstatedir}/run/%{name}
install -d -m0750 %{buildroot}%{_localstatedir}/log/%{name}
install -d -m0750 %{buildroot}%{_localstatedir}/log/%{name}/plugins
install -Dp -m0755 script/%{name}-debug %{buildroot}%{_sbindir}/%{name}-debug
install -Dp -m0755 script/%{name}-rake %{buildroot}%{_sbindir}/%{name}-rake
install -Dp -m0755 script/%{name}-tail %{buildroot}%{_sbindir}/%{name}-tail
install -Dp -m0755 foreman.init %{buildroot}%{_initrddir}/%{name}
install -Dp -m0644 foreman.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/%{name}
install -Dp -m0644 foreman.logrotate %{buildroot}%{_sysconfdir}/logrotate.d/%{name}
install -Dp -m0644 foreman.cron.d %{buildroot}%{_sysconfdir}/cron.d/%{name}
%if 0%{?rhel} > 6 || 0%{?fedora} > 16
install -Dp -m0644 foreman.tmpfiles %{buildroot}%{_prefix}/lib/tmpfiles.d/%{name}.conf
%endif

install -Dpm0644 foreman.repo %{buildroot}%{_sysconfdir}/yum.repos.d/%{name}.repo
install -Dpm0644 foreman-plugins.repo %{buildroot}%{_sysconfdir}/yum.repos.d/%{name}-plugins.repo
sed "s/\$DIST/$(echo %{?dist} | sed 's/^\.//')/g" -i %{buildroot}%{_sysconfdir}/yum.repos.d/%{name}*.repo
install -Dpm0644 foreman.gpg %{buildroot}%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-foreman

cp -p Gemfile.in %{buildroot}%{_datadir}/%{name}/Gemfile.in
cp -p -r app bundler.d config config.ru extras lib locale Rakefile script %{buildroot}%{_datadir}/%{name}
rm -rf %{buildroot}%{_datadir}/%{name}/extras/{jumpstart,spec}

# remove all test units from produciton release
find %{buildroot}%{_datadir}/%{name} -type d -name "test" |xargs rm -rf

# Move config files to %{_sysconfdir}
mv %{buildroot}%{_datadir}/%{name}/config/database.yml.example %{buildroot}%{_datadir}/%{name}/config/database.yml
mv %{buildroot}%{_datadir}/%{name}/config/email.yaml.example %{buildroot}%{_datadir}/%{name}/config/email.yaml
mv %{buildroot}%{_datadir}/%{name}/config/settings.yaml.example %{buildroot}%{_datadir}/%{name}/config/settings.yaml

for i in database.yml email.yaml settings.yaml; do
mv %{buildroot}%{_datadir}/%{name}/config/$i %{buildroot}%{_sysconfdir}/%{name}
ln -sv %{_sysconfdir}/%{name}/$i %{buildroot}%{_datadir}/%{name}/config/$i
done

# Put db in %{_localstatedir}/lib/%{name}/db
cp -pr db/migrate db/seeds.rb db/seeds.d %{buildroot}%{_datadir}/%{name}
mkdir %{buildroot}%{_localstatedir}/lib/%{name}/db

ln -sv %{_localstatedir}/lib/%{name}/db %{buildroot}%{_datadir}/%{name}/db
ln -sv %{_datadir}/%{name}/migrate %{buildroot}%{_localstatedir}/lib/%{name}/db/migrate
ln -sv %{_datadir}/%{name}/seeds.rb %{buildroot}%{_localstatedir}/lib/%{name}/db/seeds.rb
ln -sv %{_datadir}/%{name}/seeds.d %{buildroot}%{_localstatedir}/lib/%{name}/db/seeds.d

# Put HTML %{_localstatedir}/lib/%{name}/public
cp -pr public %{buildroot}%{_localstatedir}/lib/%{name}/
ln -sv %{_localstatedir}/lib/%{name}/public %{buildroot}%{_datadir}/%{name}/public

# Put logs in %{_localstatedir}/log/%{name}
ln -sv %{_localstatedir}/log/%{name} %{buildroot}%{_datadir}/%{name}/log

# Put tmp files in %{_localstatedir}/run/%{name}
ln -sv %{_localstatedir}/run/%{name} %{buildroot}%{_datadir}/%{name}/tmp

# Symlink plugin settings directory to
ln -sv %{_sysconfdir}/%{name}/plugins %{buildroot}%{_datadir}/%{name}/config/settings.plugins.d

# Create VERSION file
install -pm0644 VERSION %{buildroot}%{_datadir}/%{name}/VERSION

# Create RPM macros for plugin packages to use at build time
mkdir -p %{buildroot}%{_sysconfdir}/rpm
cat > %{buildroot}%{_sysconfdir}/rpm/macros.%{name} << EOF
# Common locations
%%%{name}_dir %{_datadir}/%{name}
%%%{name}_bundlerd_dir %%{%{name}_dir}/bundler.d
%%%{name}_bundlerd_plugin %%{%{name}_bundlerd_dir}/%%{gem_name}.rb
%%%{name}_pluginconf_dir %{_sysconfdir}/%{name}/plugins
%%%{name}_log_dir %{_localstatedir}/log/%{name}

# Common commands
%%%{name}_rake         %{foreman_rake}
%%%{name}_db_migrate   %%{%{name}_rake} db:migrate >> %%{%{name}_log_dir}/db_migrate.log 2>&1 || :
%%%{name}_db_seed      %%{%{name}_rake} db:seed >> %%{%{name}_log_dir}/db_seed.log 2>&1 || :
%%%{name}_apipie_cache %%{%{name}_rake} apipie:cache >> %%{%{name}_log_dir}/apipie_cache.log 2>&1 || :
%%%{name}_restart      (/sbin/service %{name} status && /sbin/service %{name} restart) >/dev/null 2>&1

# Generate bundler.d file for a plugin
# -n<plugin_name>   Overrides default of gem_name
%%%{name}_bundlerd_file(n:) \\
mkdir -p %%{buildroot}%%{%{name}_bundlerd_dir} \\
cat <<GEMFILE > %%{buildroot}%%{%{name}_bundlerd_dir}/%%{-n*}%%{!?-n:%%{gem_name}}.rb \\
gem '%%{-n*}%%{!?-n:%%{gem_name}}' \\
GEMFILE
EOF

cat > %{buildroot}%{_sysconfdir}/rpm/macros.%{name}-assets << EOF
# Common locations
%%%{name}_assets_plugin %%{gem_instdir}/public/assets/%%{gem_name}

# Generate precompiled assets at gem_instdir/public/assets/gem_name/
# -r<rake_task>     Overrides rake task of plugin:assets:precompile[plugin_name]
# -n<plugin_name>   Overrides default of gem_name for precompile step
%%%{name}_precompile_plugin(r:n:) \\
mkdir -p ./usr/share \\
cp -r %%{%{name}_dir} ./usr/share || echo 0 \\
pushd ./usr/share/%{name} \\
\\
export GEM_PATH=%%{gem_dir}:%%{buildroot}%%{gem_dir} \\
cp %%{buildroot}%%{%{name}_bundlerd_dir}/%%{gem_name}.rb ./bundler.d/%%{gem_name}.rb \\
unlink tmp \\
\\
export BUNDLER_EXT_NOSTRICT=1 \\
/usr/bin/%%{?scl:%%{scl}-}rake %%{-r*}%%{!?-r:plugin:assets:precompile[%%{-n*}%%{!?-n:%%{gem_name}}]} RAILS_ENV=production --trace \\
\\
popd \\
rm -rf ./usr
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,0755)
%doc README.md
%doc VERSION
%doc LICENSE
%exclude %{_datadir}/%{name}/bundler.d/*
%{_datadir}/%{name}
%attr(700,%{name},%{name}) %{_datadir}/%{name}/.ssh
%{_datadir}/%{name}/plugins
%exclude %{_datadir}/%{name}/app/assets
%exclude %{_datadir}/%{name}/script/%{name}-debug.d
%{_initrddir}/%{name}
%{_sbindir}/%{name}-rake
%{_sbindir}/%{name}-tail
%{_mandir}/man8
%config(noreplace) %{_sysconfdir}/%{name}
%ghost %attr(0640,root,%{name}) %config(noreplace) %{_sysconfdir}/%{name}/encryption_key.rb
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%config %{_sysconfdir}/cron.d/%{name}
%{_sysconfdir}/rpm/macros.%{name}
%attr(-,%{name},%{name}) %{_localstatedir}/lib/%{name}
%attr(750,%{name},%{name}) %{_localstatedir}/log/%{name}
%attr(750,%{name},%{name}) %{_localstatedir}/log/%{name}/plugins
%attr(-,%{name},%{name}) %{_localstatedir}/run/%{name}
%attr(-,%{name},root) %{_datadir}/%{name}/config.ru
%attr(-,%{name},root) %{_datadir}/%{name}/config/environment.rb
# Symlink to /etc, EL6 needs attrs for ghost files, Fedora doesn't
%if 0%{?rhel} == 6
%ghost %attr(0777,root,root) %{_datadir}/%{name}/config/initializers/encryption_key.rb
%else
%ghost %{_datadir}/%{name}/config/initializers/encryption_key.rb
%endif
%ghost %attr(0640,root,%{name}) %config(noreplace) %{_datadir}/%{name}/config/initializers/local_secret_token.rb
# Only need tmpfiles on systemd (F17 and up)
%if 0%{?rhel} > 6 || 0%{?fedora} > 16
%{_prefix}/lib/tmpfiles.d/%{name}.conf
%endif

%pre
# Add the "foreman" user and group
getent group %{name} >/dev/null || groupadd -r %{name}
getent passwd %{name} >/dev/null || \
useradd -r -g %{name} -d %{homedir} -s /sbin/nologin -c "Foreman" %{name}
exit 0

%post
# secret token used for cookie signing etc.
if [ ! -f %{_datadir}/%{name}/config/initializers/local_secret_token.rb ]; then
  touch %{_datadir}/%{name}/config/initializers/local_secret_token.rb
  chmod 0660 %{_datadir}/%{name}/config/initializers/local_secret_token.rb
  chgrp foreman %{_datadir}/%{name}/config/initializers/local_secret_token.rb
  %{foreman_rake} security:generate_token >/dev/null 2>&1 || :
  chmod 0640 %{_datadir}/%{name}/config/initializers/local_secret_token.rb
fi

# encryption key used to encrypt DB contents
# move the generated key file to /etc/foreman/ so users back it up, symlink to it from ~foreman
if [ ! -e %{_datadir}/%{name}/config/initializers/encryption_key.rb -a \
     ! -e %{_sysconfdir}/%{name}/encryption_key.rb ]; then
  touch %{_datadir}/%{name}/config/initializers/encryption_key.rb
  chmod 0660 %{_datadir}/%{name}/config/initializers/encryption_key.rb
  chgrp foreman %{_datadir}/%{name}/config/initializers/encryption_key.rb
  %{foreman_rake} security:generate_encryption_key >/dev/null 2>&1 || :
  chmod 0640 %{_datadir}/%{name}/config/initializers/encryption_key.rb
  mv %{_datadir}/%{name}/config/initializers/encryption_key.rb %{_sysconfdir}/%{name}/
fi
if [ ! -e %{_datadir}/%{name}/config/initializers/encryption_key.rb -a \
     -e %{_sysconfdir}/%{name}/encryption_key.rb ]; then
  ln -s %{_sysconfdir}/%{name}/encryption_key.rb %{_datadir}/%{name}/config/initializers/
fi

/sbin/chkconfig --add %{name} || :
(/sbin/service foreman status && /sbin/service foreman restart) >/dev/null 2>&1
exit 0

%posttrans
# We need to run the db:migrate after the install transaction
# always attempt to reencrypt after update in case new fields can be encrypted
%{foreman_rake} db:migrate db:compute_resources:encrypt >> %{_localstatedir}/log/%{name}/db_migrate.log 2>&1 || :
%{foreman_rake} db:seed >> %{_localstatedir}/log/%{name}/db_seed.log 2>&1 || :
%{foreman_rake} apipie:cache >> %{_localstatedir}/log/%{name}/apipie_cache.log 2>&1 || :
(/sbin/service foreman status && /sbin/service foreman restart) >/dev/null 2>&1
exit 0

%preun
if [ $1 -eq 0 ] ; then
/sbin/service %{name} stop >/dev/null 2>&1
/sbin/chkconfig --del %{name} || :
fi

%postun
if [ $1 -ge 1 ] ; then
# Restart the service
/sbin/service %{name} restart >/dev/null 2>&1 || :
fi

%changelog
* Sun Jun 11 2017 Mike McCune <mmccune@redhat.com> 1.7.2.63-1
- 6.1.12 compose (mmccune@redhat.com)

* Mon Nov 14 2016 Mike McCune <mmccune@redhat.com> 1.7.2.62-1
- 6.1.11 version update (mmccune@redhat.com)

* Fri Sep 23 2016 Mike McCune <mmccune@redhat.com> 1.7.2.61-1
- Fixes BZ1378206 - provide explicit table classes (tbrisker@gmail.com)

* Wed Sep 21 2016 Mike McCune <mmccune@redhat.com> 1.7.2.60-1
- Fixes #11764 - Taxonomy parameters can be accessed through API
  (oprazak@redhat.com)

* Sat Sep 17 2016 Mike McCune <mmccune@redhat.com> 1.7.2.59-1
- 6.1.10 Version Update (mmccune@redhat.com)

* Fri Sep 16 2016 Mike McCune <mmccune@redhat.com> 1.7.2.58-1
- Fixes #13813 - Removed "\ " so ruby 1.8 could read the ENC
  (sshtein@redhat.com)
- BZ #1293458 - Added the ability to select pagination mechanism in /filters
  (sshtein@redhat.com)
- fixes #3008 - allowing large ptables (tcaspy@gmail.com)

* Thu Jun 09 2016 Mike McCune <mmccune@redhat.com> 1.7.2.57-1
- make fog-core match fog version (tbrisker@gmail.com)
- Backport of #13091 to Sat-6.1.z (tbrisker@gmail.com)

* Tue May 10 2016 Mike McCune <mmccune@redhat.com> 1.7.2.56-1
- Fixes #9932 - fix preallocate attribute mapping (mhulan@redhat.com)
- Fixes #9793 - API v2 fact_values index works for non-admins
  (elobatocs@gmail.com)
- Fixes #9687 - respect custom controller permissions (mhulan@redhat.com)

* Thu Mar 10 2016 Mike McCune <mmccune@redhat.com> 1.7.2.55-1
- 6.1.8 version bump (mmccune@redhat.com)

* Wed Mar 09 2016 Mike McCune <mmccune@redhat.com> 1.7.2.54-1
- fixes #9108 - parent parameters are now overrideable (tcaspy@gmail.com)

* Tue Feb 02 2016 Mike McCune <mmccune@redhat.com> 1.7.2.53-1
- Version 6.1.7 (mmccune@redhat.com)

* Mon Feb 01 2016 Mike McCune <mmccune@redhat.com> 1.7.2.52-1
- 1297040 - fixing syntax error from bad cherry-pick in prior commit
  (mmccune@redhat.com)

* Mon Feb 01 2016 Mike McCune <mmccune@redhat.com> 1.7.2.51-1
- Fixes #12611 - CVE-2015-7518 prevent XSS on host edit form
  (tbrisker@gmail.com)
- fixes BZ1282539 - show identifier in base output (stbenjam@redhat.com)

* Fri Dec 18 2015 Chris Peters <chrispeters.psu@gmail.com> 1.7.2.50-1
- Fixes #12554 - Change OS name column heading to match contents
  (alexshtayer@yahoo.com)
- Fixes #12452 - Enable non admin users to do bulk actions on hosts
  (alongoldboim@gmail.com)
- Fixes #9704,#9705 - ability to customize vmware VM on image-based
  provisioning (inecas@redhat.com)
- Satellite 6.1.6 version (mmccune@redhat.com)
- Fixes bz1284475 - Add granular permissions to config groups
  (mhulan@redhat.com)

* Thu Dec 10 2015 Mike McCune <mmccune@redhat.com> 1.7.2.49-1
- fixes #10627 - apply host taxonomy scope to facts/report joins
  (dcleal@redhat.com)

* Fri Dec 04 2015 Chris Peters <chrispeters.psu@gmail.com> 1.7.2.48-1
- Allow plugin tests to run such as foreman_discovery (ericdhelms@gmail.com)
- Fixes for Foreman unit tests (ericdhelms@gmail.com)
- fixes #12431 - pin tins for Ruby 1.9.3 compatibility (dcleal@redhat.com)
- Satellite 6.1.5 version update (mmccune@redhat.com)

* Tue Nov 24 2015 Mike McCune <mmccune@redhat.com> 1.7.2.47-1
- fixes #8739 - use global setting when hostgroup root_pass is blank
  (dcleal@redhat.com)
- fixes #8822 - append target=_blank to all links with rel-external (shlomi
  @ben-hanna.com)
- fixes #8817 - look up reports with all joins from host scoped_search
  (dcleal@redhat.com)
- Fixes #8727 - DHCP validation does not fail on discovered leases
  (lzap+git@redhat.com)

* Fri Nov 06 2015 Mike McCune <mmccune@redhat.com> 1.7.2.46-1
- fixes #12118 - query model for alternative permission names
  (stbenjam@redhat.com)

* Tue Nov 03 2015 Mike McCune <mmccune@redhat.com> 1.7.2.45-1
- 6.1.4 version (mmccune@redhat.com)
- Fixes #7233 - Drop Ruby 1.8.7 and revert Ruby 1.8.7 specifics

* Thu Oct 29 2015 Chris Peters <chrispeters.psu@gmail.com> 1.7.2.44-1
- Fixes #11761 - support hostgroup form push through AJAX (mhulan@redhat.com)
- fixes #8521 - fix classes accessors, copy overrides on host clone
  (dcleal@redhat.com)
- Fixes #11579 - Reports show/destroy restricted by host authorization
  (CVE-2015-5233) (elobatocs@gmail.com)
- Merge branch 'external_usergroups' into 'SATELLITE-6.1.0'
  (chpeters@redhat.com)
- Merge branch '1207972' into 'SATELLITE-6.1.0' (chpeters@redhat.com)
- fixes #10509 - add toggle for LDAP usergroup updating (dcleal@redhat.com)
- Fixes #11407 - Uppercase logins from LDAP break external user group sync
  (elobatocs@gmail.com)
- Fixes #11428 - External user groups refresh shouldn't be case sensitive
  (elobatocs@gmail.com)
- Fixes #7369 - External user groups update on login (elobatocs@gmail.com)
- Pin fog-google (ericdhelms@gmail.com)
- Pin wirb to 1.0.0 (ericdhelms@gmail.com)
- fixes #11980 - pin net-ssh to 2.x on Ruby 1.9.3
- Fixes #11188 - EnsureNotUsedBy checks for unscoped associations before
  destroying (orabin@redhat.com)

* Tue Oct 13 2015 Chris Peters <chrispeters.psu@gmail.com> 1.7.2.43-1
- Merge branch '20151013-1337' into 'SATELLITE-6.1.0' (chpeters@redhat.com)
- Revert "Fixes #11763 - Add inherited parameters to Host view api"
  (mmccune@redhat.com)
- Revert "Fixes #11428 - External user groups refresh shouldn't be case
  sensitive" (mmccune@redhat.com)

* Mon Oct 12 2015 Chris Peters <chrispeters.psu@gmail.com> 1.7.2.42-1
- Revert "Merge branch 'sshtein/foreman-bz1193812' into SATELLITE-6.1.0"
  (chrispeters.psu@gmail.com)

* Mon Oct 05 2015 Mike McCune <mmccune@redhat.com> 1.7.2.41-1
- Revert "Fixes #11188 - EnsureNotUsedBy checks for unscoped associations
  before destroying" (mmccune@redhat.com)
- Fixing a bad cherry-pick Merge conflicts weren't resolved properly
  (chrispeters.psu@gmail.com)

* Thu Oct 01 2015 Mike McCune <mmccune@redhat.com> 1.7.2.40-1
- Version 6.1.3 (mmccune@redhat.com)

* Wed Sep 30 2015 Mike McCune <mmccune@redhat.com> 1.7.2.39-1
- Fixes #11673 - accept integer value when setting the integer via API
  (inecas@redhat.com)
- Fixes #9104 - allow disabling of interface updates (mhulan@redhat.com)
- Fixes #9673 - treat YAML and JSON lookup keys as strings (mhulan@redhat.com)
- Fixes #9787 - correctly typecast default values (mhulan@redhat.com)
- fixes #10287 - provide helper methods for proxy features
  (stbenjam@redhat.com)
- Fixes #11763 - Add inherited parameters to Host view api (shlomi@ben-
  hanna.com)
- Fixes #11428 - External user groups refresh shouldn't be case sensitive
  (elobatocs@gmail.com)
- Fixes #1193812 - Added support for "inherit" state. (sshtein@redhat.com)
- Fixes #11303: Allow scoped search by name for permissions.
  (ericdhelms@gmail.com)

* Tue Sep 29 2015 Chris Peters <chrispeters.psu@gmail.com> 1.7.2.38-1
- Fixes #11188 - EnsureNotUsedBy checks for unscoped associations before
  destroying (orabin@redhat.com)
- Merge branch '1193867' into 'SATELLITE-6.1.0' (chpeters@redhat.com)
- Merge branch 'bz1177570' into 'SATELLITE-6.1.0' (chpeters@redhat.com)
- Merge branch '1135918' into 'SATELLITE-6.1.0' (chpeters@redhat.com)
- Fixes BZ1193867 - Make dashboard respect max columns (tbrisker@gmail.com)
- Fixes #1177570 - change the error message (mhulan@redhat.com)
- [BRANDING] Fixes BZ1135918 - display 'x' in search box (tbrisker@gmail.com)

* Thu Sep 10 2015 Mike McCune <mmccune@redhat.com> 1.7.2.37-1
- Fixes: BZ1250116 - remove limitation on max fog version (jmontleo@redhat.com)

* Wed Aug 26 2015 Mike McCune <mmccune@redhat.com> 1.7.2.36-1
- Version bump for 6.1.2 zstream (mmccune@redhat.com)

* Wed Aug 26 2015 Mike McCune <mmccune@redhat.com> 1.7.2.35-1
-  Fixes #11111 - action dropdowns pulled right (tstrachota@redhat.com)
- Fixes #5568 - Improves performance of trends:clean rake task
  (jcmcken@gmail.com)
- Merge branch 'bz1225348' into 'SATELLITE-6.1.0' (mmccune@redhat.com)
- fixes #11220 - column ambiguity for non-admin host creation
  (avi3tal@gmail.com)
- Fixes #11231 - Correctly stubbify global parameters (tbrisker@gmail.com)
- adds Sat6 version to foreman-debug/sosreport, BZ1191584 (cfouant@redhat.com)
- BZ1225348 (mhulan@redhat.com)

* Mon Aug 17 2015 Mike McCune <mmccune@redhat.com> 1.7.2.34-1
- Fixes #11339 - ensure unique parameters before adding uniq index

* Wed Jul 29 2015 Chris Peters <chrispeters.psu@gmail.com> 1.7.2.33-1
- Fixes #10826 - Adds unique constraint to the title in operatingsystem table
  (oprazak@redhat.com)
- 1246227 - remove welcome landing page in favor of the Dashboard
  (mmccune@redhat.com)

* Wed Jul 15 2015 Mike McCune <mmccune@redhat.com> 1.7.2.32-1
- fixing version string (mmccune@redhat.com)

* Tue Jul 14 2015 Mike McCune <mmccune@redhat.com> 1.7.2.31-1
- Fixes #11033 - adding missing params to auth_source ldap API docs
  (martin.bacovsky@gmail.com)
- Merge branch 'bz1218876' into 'SATELLITE-6.1.0' (bkearney@redhat.com)
- Set version to GA 6.1.1 (mmccune@redhat.com)
- Fixes #10727 - Added validation to require BMC Smart proxy in order to add
  BMC nic (sshtein@redhat.com)

* Tue Jul 07 2015 dlobatog <elobatocs@gmail.com> 1.7.2.30-1
1236480, 1233080

* Tue Jun 30 2015 dlobatog <elobatocs@gmail.com> 1.7.2.29-1
1128725, 1234549, 1236492
* Tue Jun 23 2015 dlobatog <elobatocs@gmail.com> 1.7.2.28-1
Fixes for #5018, 1233084, 1226012, 1226282
* Tue Jun 09 2015 Mike McCune <mmccune@redhat.com> 1.7.2.27-1
- updating branding to state Beta (mmccune@redhat.com)
- Merge branch '9873' into 'SATELLITE-6.1.0' (bkearney@redhat.com)
- Fixes #10699 - foreman debug options -au are exclusive (lzap+git@redhat.com)
- fixes #10284 - improves foreman-debug usage for consumption from other tools
  (komidore64@gmail.com)
- fixes #10695 - don't seed initial taxonomies if there are any already
  (stbenjam@redhat.com)
- Merge branch 'fix_1218519' into 'SATELLITE-6.1.0' (bkearney@redhat.com)
- Fixes #10715 - api build_pxe_default returns non-JSON message
  (tstrachota@redhat.com)
- Fixes #8736 - confirmation before host delete for freshly created hosts
  (tstrachota@redhat.com)
- fixes #9873 - generate unique alert mails for each user group member
  (dcleal@redhat.com)

* Tue Jun 02 2015 Mike McCune <mmccune@redhat.com> 1.7.2.26-1
- Fixes BZ#1225360 - Alias config file name workaround (mhulan@redhat.com)
- Fixes #9424 - orchestration progress no longer triggers twice
  (orabin@redhat.com)

* Tue May 26 2015 Mike McCune <mmccune@redhat.com> 1.7.2.25-1
- Fixes #7533 - auto resize pie chart labels to prevent overflow
  (tbrisker@gmail.com)
- Fixes #10542: correct path for auto complete search on filters page.
  (walden@redhat.com)

* Tue May 19 2015 dlobatog <elobatocs@gmail.com> 1.7.2.24-1
- Fixes for #10402 #10535
* Tue May 19 2015 dlobatog <elobatocs@gmail.com>
- Fixes for #10402 #10535
* Mon May 18 2015 Daniel Lobato <elobatocs@gmail.com> 1.7.2.22-1
Fixes for: 1143925 1194357 1194620 1200083 1221227 1221343 1197975 1143925
* Wed May 13 2015 Mike McCune <mmccune@redhat.com> 1.7.2.21-1
- Fixes BZ1221014: remove unintentional reference to jstz. (walden@redhat.com)

* Tue May 12 2015 Mike McCune <mmccune@redhat.com> 1.7.2.20-1
- fixes #10275 - Add secure cookie when in ssl (CVE-2015-3155) (shlomi@ben-
  hanna.com)
- Fixes #10412 - display interface tooltip after type change
  (mhulan@redhat.com)
- Fixes #7515 - Prevent label line breaks in add bookmark modal
  (tbrisker@gmail.com)
- 1197975 - nice error when OS was not defined (lzap+git@redhat.com)
- Fixes #bz1190635 - The URLS moved from "...Red_Hat_Satellite/6.0..." to
  "...Red_Hat_Satellite/6.1..." (sshtein@redhat.com)
- Fixes #bz1206348 - Changed the copyright message (sshtein@redhat.com)

* Tue May 05 2015 Mike McCune <mmccune@redhat.com> 1.7.2.19-1
- fixes #8676 - tar foreman-debug results including the parent directory
  (stbenjam@redhat.com)
- Pull in final french strings from zanata (bkearney@redhat.com)

* Tue Apr 28 2015 Mike McCune <mmccune@redhat.com> 1.7.2.18-1
- fixes #9773 - correctly render template URL (stbenjam@redhat.com)
- Add in strings from zanata. All but french are done (bkearney@redhat.com)
- Fix BZ1191849 (tbrisker@gmail.com)
- Fixes BZ#1215662 - ignore interface template attributes (mhulan@redhat.com)
- Fixes #9618 - make identifier uniq per host (mhulan@redhat.com)
- Fixes #9434 - managed alias accepts only static boot mode subnet
  (mhulan@redhat.com)

* Thu Apr 23 2015 Mike McCune <mmccune@redhat.com> 1.7.2.17-1
- 1214314 - removed extra migration file (lzap+git@redhat.com)

* Tue Apr 21 2015 Mike McCune <mmccune@redhat.com> 1.7.2.16-1
- fixes #9998 - Add styling to error reporting (shlomi@ben-hanna.com)
- Fixes #5723 - Show host groups inherited via config groups in puppetclass
  index
- Fixes #844 #5725 - correct hosts count in puppetclass
- fixes #9775 - always load Encryptable when key's missing, log runtime warning
  (dcleal@redhat.com)
- fixes #9795 - check if mail is enabled before sending a notification
  (stbenjam@redhat.com)
- Fixes #9878 - refresh external usergroup on API manipulation
  (mhulan@redhat.com)
- Fixes #9444 - prevent 404 error on current_parameters and domain_selected
  (tbrisker@gmail.com)
- fixes #9617 - rescue from empty vmware clusters (shlomi@ben-hanna.com)
- Fixes #8764 - adds description to taxonomies (orabin@redhat.com)
- Fixes #7615 - filter ignore current context (mhulan@redhat.com)
- fixes #9856 - include locations and organizations in user output
  (thomasmckay@redhat.com)
- Fixes #9827 - compute resource info in API doesn't send provider type
  (tstrachota@redhat.com)
- Fixes #8284 - missing params in OS api docs (tstrachota@redhat.com)
- Fixes #9947 - restrict user taxonomies if none is set (mhulan@redhat.com)
- Fixes #bz1200037 - Changed another instance of "smart proxy" to "capsule"
  (sshtein@redhat.com)
- Fixes BZ#1194393 (mhulan@redhat.com)
- Fixes #bz1129393 - Branding, Removed some references to Foreman
  (sshtein@redhat.com)
- Fixes BZ#1191913 - don't reject interfaces with blank mac (mhulan@redhat.com)
- Backports modal window tooltips from #7456 (mhulan@redhat.com)

* Thu Mar 26 2015 Jason Montleon <jmontleo@redhat.com> 1.7.2.15-1
- Pull in japanese bugs from RHOSP (bkearney@redhat.com)

* Tue Mar 24 2015 Jason Montleon <jmontleo@redhat.com> 1.7.2.14-1
- 98+ percent on all strings (bkearney@redhat.com)

* Tue Mar 17 2015 Jason Montleon <jmontleo@redhat.com> 1.7.2.13-1
- Fixes #5701 - removed extra id/name HTML attributes (lzap+git@redhat.com)
- Fixes #9693 - Clarify bond identifier BSD info (mhulan@redhat.com)

* Tue Mar 17 2015 Jason Montleon <jmontleo@redhat.com> 1.7.2.12-1
- Merge branch 'bkearney/foreman-61strings' into SATELLITE-6.1.0
  (jmontleo@redhat.com)
- remove builder line from releasers.conf (jmontleo@redhat.com)
- Add some initial strings for 6.1 GA. (bkearney@redhat.com)

* Tue Mar 17 2015 Jason Montleon <jmontleo@redhat.com> 1.7.2.11-1
- Fixes #9723 - missing owner_type in host api docs (tstrachota@redhat.com)
- Fixes #9678 - Can't update admin flag for users via API
  (tstrachota@redhat.com)
- fixes #9335 - adds toggle to puppet classes list & better ui (shlomi@ben-
  hanna.com)
- Merge branch 'BZ1200881' into 'SATELLITE-6.1.0' (jmontleo@redhat.com)
- Merge branch 'SATELLITE-6.1.0' of
  gitlab.sat.lab.tlv.redhat.com:satellite6/foreman into SATELLITE-6.1.0
  (jmontleo@redhat.com)
- Fixes #9606 - ANSI color codes should not be used in production log
  (orabin@redhat.com)
- fixes #8331 - provide some tools for filtering mail (stbenjam@redhat.com)

* Wed Mar 11 2015 Mike McCune <mmccune@redhat.com> 1.7.2.10-1
- Revert "Fixes #9461 - Update subnets on domain change in hostgroup"
  (mmccune@redhat.com)

* Tue Mar 10 2015 Jason Montleon <jmontleo@redhat.com> 1.7.2.9-1
- Merge branch 'BZ1161809' into 'SATELLITE-6.1.0' (jmontleo@redhat.com)
- Merge branch '1192329' into 'SATELLITE-6.1.0' (jmontleo@redhat.com)
- Merge branch 'SATELLITE-6.1.0' of
  gitlab.sat.lab.tlv.redhat.com:satellite6/foreman into SATELLITE-6.1.0
  (jmontleo@redhat.com)
- Fixes #7954 - When creating a host cant is spelled wrong under partition
  table side note (yejiayily@gmail.com)
- Fixes #9435 - adds tooltip for interface identifier (mhulan@redhat.com)
- BZ1161809 - ensure Foreman notifications are branded (stbenjam@redhat.com)
- Fixes #9615 - Adds inheriting_mac method (mhulan@redhat.com)
- Refs Bz#1192329 - description for organization moved to foreman
  (orabin@redhat.com)

* Tue Mar 03 2015 Jason Montleon <jmontleo@redhat.com> 1.7.2.8-1
- Merge branch 'bz_1195628_nic_modal_window' into 'SATELLITE-6.1.0'
  (jmontleo@redhat.com)
- Merge branch 'bz1194641' into 'SATELLITE-6.1.0' (jmontleo@redhat.com)
- Merge branch 'bz1194627' into 'SATELLITE-6.1.0' (jmontleo@redhat.com)
- Fixes #9325 - preserve compute resource attrs after NIC modal is closed
  (tstrachota@redhat.com)
- Fixes #9547 - DHCP is default subnet boot mode (mhulan@redhat.com)
- Fixes #9495 - Require identifier for managed bonds (mhulan@redhat.com)
- Fixes BZ#1194641 (mhulan@redhat.com)

* Mon Mar 02 2015 Jason Montleon <jmontleo@redhat.com> 1.7.2.7-1
- Merge branch 'SATELLITE-6.1.0' of
  gitlab.sat.lab.tlv.redhat.com:satellite6/foreman into SATELLITE-6.1.0
  (jmontleo@redhat.com)
- Merge branch 'bz1191953' into 'SATELLITE-6.1.0' (jmontleo@redhat.com)
- Fixes #9592 - unfold external user groups on error (mhulan@redhat.com)
- Merge branch 'SATELLITE-6.1.0' of
  gitlab.sat.lab.tlv.redhat.com:satellite6/foreman into SATELLITE-6.1.0
  (jmontleo@redhat.com)
- Merge branch 'bz1195602' into 'SATELLITE-6.1.0' (jmontleo@redhat.com)
- fixes #7764 - add quirks mode to JSON.dump (shlomi@ben-hanna.com)
- fixes #6044 - production.log should have timestamps in it
  (jswensso@redhat.com)
- fixes #9334 - reverse the order of 'hosts/provisioning setup' sub-menu
  (shlomi@ben-hanna.com)
- Fixes #9461 - Update subnets on domain change in hostgroup
  (tbrisker@gmail.com)
- Fixes #9429 - identifier is required for Alias and VLAN (mhulan@redhat.com)
- Fixes BZ#1195602 - configure gateway on subnet with static bootmode
  (mhulan@redhat.com)

* Tue Feb 24 2015 Jason Montleon <jmontleo@redhat.com> 1.7.2.6-1
- update foreman.spec for BZ1134109 (jmontleo@redhat.com)
- Refs #8710 - moved proxy related info from foreman-debug
  (lzap+git@redhat.com)
- Fixes #9458 - process only executable debug extensions (lzap+git@redhat.com)
- Fixes #3278 - Correctly extract "New %%s" strings (tbrisker@gmail.com)
- Fixes #5998 - add taxonomy tabs to config_template#edit (tbrisker@gmail.com)
- Fixes #9496 - Adds popover help to IPAM field in Subnet form
  (mhulan@redhat.com)

* Fri Feb 20 2015 Jason Montleon <jmontleo@redhat.com> 1.7.2.5-1
- Fixes #8052 - allows erb in array and hash params (mhulan@redhat.com)

* Tue Feb 10 2015 Jason Montleon <jmontleo@redhat.com> 1.7.2.4-1
- Fixes #7462 - new UI for network interfaces (tstrachota@redhat.com)

* Thu Feb 05 2015 Jason Montleon <jmontleo@redhat.com> 1.7.2.3-1
- Fixes BZ#1186321 - Add kickstart networking setup snippet (mhulan@redhat.com)

* Thu Jan 29 2015 Jason Montleon <jmontleo@redhat.com> 1.7.2.2-1
- fixes #8581 - [vmware] use cluster full path to create vm (shlomi@ben-
  hanna.com)

* Tue Jan 27 2015 Jason Montleon <jmontleo@redhat.com> 1.7.2.1-1
- Merge remote-tracking branch 'upstream/1.7-stable' into SATELLITE-6.1.0
  (jmontleo@redhat.com)
- Release 1.7.2 (dcleal@redhat.com)
- Fixes #9097 - Fix typo in value_to_sql method (daviddavis@redhat.com)
- fixes #6362 - correct menu dividers if user isn't auth for some actions
  (stbenjam@redhat.com)
- Fixes #2948 - added sp_* host attributes to safe mode (lzap+git@redhat.com)
- Refs #9049 - fix log message formatting (jistr@redhat.com)
- Fixes #9049 - Log exceptions when triggering a Puppet run (jistr@redhat.com)
- fixes #9084 - catch net-ldap 0.11's specific invalid filter exception
  (dcleal@redhat.com)
- Fixes #8821 - Handle unnamed OpenStack images in images form
  (elobatocs@gmail.com)
- fixes #9025 - reflect on association for _name(s) methods
  (stbenjam@redhat.com)
- fixes #8993 - handle FreeBSD patch releases better (kvedulv@kvedulv.de)
- fixes #8402 - Reports from the last xx Days not displaying day filter option
  (david.levene@netspot.com.au)
- fixes #8925 - support plugin asset manifests beneath app root
  (dcleal@redhat.com)
- Fixes #8930 - Incorrect html caused a typo on the trends page
  (bkearney@redhat.com)
- fixes #8885 - pin google-api-client to retain Ruby 1.9 support
  (dcleal@redhat.com)
- Fixes #8851 - support seed files of plugin with dash in name
  (mhulan@redhat.com)
- Fixes #8786 - Show override button after removing overridden parameter
  (ripcurld.github@gmail.com)
- fixes #8791 - pin i18n gem (kvedulv@kvedulv.de)
- fixes #6540, #8335 - Add error to vmware when no datacenter, save password
  when testing connection (shlomi@ben-hanna.com)
- fixes #8638 - ensure that a redirect to hosts index after host destroy
  (shlomi@ben-hanna.com)
- Fixes #7165 - Correct cursor behaviour on delete links for firefox
  (tbrisker@gmail.com)
- fixes #8735 - enable config drive on Rackspace servers (dcleal@redhat.com)
- fixes #8366 - add parameter type to unique index (dcleal@redhat.com)

* Tue Jan 13 2015 Jason Montleon <jmontleo@redhat.com> 1.7.1.2-1
- [DOWNSTREAM] updated patternfly and fonts (ohadlevy@gmail.com)
- [DOWNSTREAM] brand patternfly css and fonts (sshtein@redhat.com)
- Fixes #8804 - Align the dashboard to bootstrap columns (sshtein@redhat.com)
- Fixes #8785 - HTML syntax fixes - add thead/tbody, fix formatting
  (sshtein@redhat.com)

* Wed Dec 17 2014 Jason Montleon <jmontleo@redhat.com> 1.7.1.1-1
- update version to 1.7.1. (jmontleo@redhat.com)
- Merge tag '1.7.1' into SATELLITE-6.1.0 (jmontleo@redhat.com)
- Release 1.7.1 (dcleal@redhat.com)
- i18n - extracting new, updating rails, pulling from tx (dcleal@redhat.com)
- fixes #8685 - include netmask in ENC output (dcleal@redhat.com)
- i18n - extracting new, updating rails, pulling from tx (dcleal@redhat.com)
- fixes #8627 - add host comment field to API documentation (dcleal@redhat.com)
- fixes #8591 - explicitly set where to subnets.id (shlomi@ben-hanna.com)
- fixes #8590 - handle missing 'config' when listing vSphere VMs
  (dcleal@redhat.com)
- fixes #8592 - allow plug-ins to modify multiple hosts actions
  (slukasik@redhat.com)
- Fixes #8416 - Fix Puppet classes form n+1 queries (elobatocs@gmail.com)
- Fixes #8551 - use most specific matcher for inherited hostgroups
  (orabin@redhat.com)
- Fixes #8401: n+1 query on group parameters host edit (elobatocs@gmail.com)
- fixes #8228 - add a config_templates concern to serve config_templates
  controllers (shlomi@ben-hanna.com)
- fixes #5841 - use inner query when retrieving reports for subset of
  authorised hosts (dcleal@redhat.com)
- Fixes #5999 - vpc + pub ip -> attach pub ip (henrik@haf.se)
- Fixes #8546 - Namespace interfaces and subnets to avoid a facts clash
  (gsutclif@redhat.com)
- fixes #8513 - removing n+1 query from images#index (tcaspy@gmail.com)
- fixes #8526 - file uploads are now possible via two_pane.
  (ohadlevy@gmail.com)
- fixes #8221 - search for subnet with taxonomy scope (shlomi@ben-hanna.com)
- Fixes #8536 - can update and delete media with dot in name
  (orabin@redhat.com)
- Fixes #7525 - don't fail on structured facts (lzap+git@redhat.com)
- Fixes #6872 - Add title to new compute resource page (tbrisker@gmail.com)
- Fixes #7440 - correctly autocomplete current_user (tbrisker@gmail.com)
- Fixes #6765 - correct wrong validation on media name (tbrisker@gmail.com)
- fixes #8363 - Sort VMware attributes alphabetically (shlomi@ben-hanna.com)
- fixes #4463 - use unattended URL for hostgroup provisioning
  (stbenjam@redhat.com)

* Mon Dec 08 2014 Jason Montleon <jmontleo@redhat.com> 1.7.0.1-1
- update version and rebuild (jmontleo@redhat.com)

* Thu Dec 04 2014 Jason Montleon <jmontleo@redhat.com> 1.7.0.0-1.2
- fix gpg file name (jmontleo@redhat.com)

* Thu Dec 04 2014 Jason Montleon <jmontleo@redhat.com> 1.7.0.0-1.1
- add a zero to version number. Our source differs from upstream source
  (jmontleo@redhat.com)

* Wed Dec 03 2014 Jason Montleon <jmontleo@redhat.com> 1.7.0-1.1
- Add rel-eng files, change tito Builder, add other source files, update rpm
  spec (jmontleo@redhat.com)

* Wed Dec 03 2014 Jason Montleon <jmontleo@redhat.com> 1.7.0-1
- new package built with tito

* Tue Dec 02 2014 Dominic Cleal <dcleal@redhat.com> 1.7.0-1
- Release 1.7.0

* Tue Nov 25 2014 Dominic Cleal <dcleal@redhat.com> 1.7.0-0.2.RC2
- Release 1.7.0-RC2

* Tue Nov 11 2014 Dominic Cleal <dcleal@redhat.com> 1.7.0-0.1.RC1
- Release 1.7.0-RC1

* Mon Aug 11 2014 Dominic Cleal <dcleal@redhat.com> - 1.7.0-0.develop
- Bump version to 1.7-develop

* Wed Apr 16 2014 Dominic Cleal <dcleal@redhat.com> - 1.6.0-0.develop
- Bump version to 1.6-develop

* Thu Jan 16 2014 Dominic Cleal <dcleal@redhat.com> - 1.5.0-0.develop
- Bump version to 1.5-develop
- Remove rails3_before_render dependency
- generate encryption key and encrypt data in postinstall (#2929)

* Thu Nov 21 2013 Dominic Cleal <dcleal@redhat.com> - 1.4.0-0.develop
- Bump and change versioning scheme, don't overwrite VERSION (#3712)
- Pin fog to 1.18.x
- Add new rails3_before_render dependency
- Removed foreman-mysql package (obsoleted by mysql2)
- Seed database after DB migration
- Change twitter-bootstrap-rails to bootstrap-sass
- Pin fog to 1.19.x
- Add BR and explicit dependency on Ruby binary, for ruby193-ruby-wrapper

* Tue Nov 12 2013 Sam Kottler <shk@redhat.com> - 1.3.9999-7
- Add rubygem-unf as a requires for the compute subpackage

* Sun Nov 10 2013 Dominic Cleal <dcleal@redhat.com> - 1.3.9999-6
* Add foreman-gce subpackage for Google Compute Engine

* Wed Nov 6 2013 David Davis <daviddavis@redhat.com> - 1.3.9999-5
- Removing rr gem, fixes #3597

* Fri Oct 25 2013 Martin Bacovsky <mbacovsk@redhat.com> - 1.3.9999-4
- foreman-cli metapackage installs hammer

* Mon Sep 30 2013 Lukas Zapletal <lzap+rpm[@]redhat.com> - 1.3.9999-3
- Adding Foreman plugins repo

* Fri Sep 27 2013 Lukas Zapletal <lzap+rpm[@]redhat.com> - 1.3.9999-2
- Update rubygem-ancestry to 2.x

* Wed Sep 11 2013 Lukas Zapletal <lzap+rpm[@]redhat.com> - 1.3.9999-1
- Bump to version 1.3-develop

* Wed Sep 11 2013 Dominic Cleal <dcleal@redhat.com> - 1.2.9999-11
- Add new foreigner and immigrant dependencies

* Mon Sep 09 2013 Lukas Zapletal <lzap+rpm[@]redhat.com> - 1.2.9999-10
- Added dependency on fast_gettext 0.8 (multi-domain support)

* Mon Sep 02 2013 Greg Sutcliffe <gsutclif@redhat.com> 1.2.9999-9
- Remove Puppet from core requirements

* Fri Aug 16 2013 Sam Kottler <shk@redhat.com> 1.2.9999-8
- Update fog dependency to 1.15.0 to fix rackspace VM listing issue

* Wed Jul 24 2013 Jason Montleon <jmontleo@redhat.com> 1.2.9999-7
- Update rbovirt dependency version to 0.0.21 to support sending the host ssl certificate subject as an option to the xpi plugin

* Fri Jul 19 2013 Dominic Cleal <dcleal@redhat.com> 1.2.9999-6
- add foreman-rake to /usr/sbin

* Mon Jun 17 2013 Dominic Cleal <dcleal@redhat.com> 1.2.9999-5
- fix asset dependency versions
- add minitest dependency for console (Lukas Zapletal)

* Thu Jun 06 2013 Dominic Cleal <dcleal@redhat.com> 1.2.9999-4
- fix libvirt package dependency on ruby-libvirt

* Wed Jun 05 2013 Lukas Zapletal <lzap+rpm[@]redhat.com> - 1.2.9999-3
- foreman-debug tool now installed into /usr/sbin

* Tue May 28 2013 Dominic Cleal <dcleal@redhat.com> 1.2.9999-2
- Don't force SCL
- Distribute GPG key
- Replace dist in foreman.repo
- Rename foreman-ec2 to foreman-compute
- Update dbmigrate for SCL (Lukas Zapletal)

* Mon May 20 2013 Dominic Cleal <dcleal@redhat.com> 1.2.9999-1
- Updated to 1.2.9999 (1.3-pre)

* Tue Apr 30 2013 Sam Kottler <shk@redhat.com> 1.1.9999-1
- Updated to 1.1.9999 (1.2-pre)

* Fri Feb 15 2013 shk@redhat.com 1.1-3
- Bumped safemode dependency

* Thu Feb 14 2013 shk@redhat.com 1.1-2
- Fixed baseurl in the -release subpackage.
- Updated to 1.1-1

* Mon Feb 4 2013 shk@redhat.com 1.1-1
- 1.1 final.

* Mon Jan 28 2013 shk@redhat.com 1.1RC5-2
- Bumped fog version dependency

* Fri Jan 25 2013 shk@redhat.com 1.1RC5-1
- Updated Rails requirements and bumped to RC5.

* Thu Dec 27 2012 shk@redhat.com 1.1RC3-1
- Updated to 1.1RC3 and updated dependencies.

* Wed Dec 19 2012 jmontleo@redhat.com 1.0.2-1
- Fix Foreman SQL injection through search mechanism CVE-2012-5648

* Thu Aug 09 2012 jmontleo@redhat.com 1.0.1-1
- Version 1.0.1

* Sun Aug 05 2012 jmontleo@redhat.com 1.0.0-2
- Update to pull in fixes

* Mon Jul 23 2012 jmontleo@redhat.com 1.0.0-1
- Update packages for Foreman 1.0 Release and add support for using thin.

* Wed Jul 18 2012 jmontleo@redhat.com 1.0.0-0.7
- Updated pacakages for Foreman 1.0 RC5 and Proxy RC2

* Thu Jul 05 2012 jmontleo@redhat.com 1.0.0-0.6
- Fix foreman-release to account for different archs. Pull todays source.

* Wed Jul 04 2012 jmontleo@redhat.com 1.0.0-0.5
- Bump version number and rebuild for RC3

* Sun Jul 01 2012 jmontleo@redhat.com 1.0.0-0.4
- Pull todays develop branch to fix dbmigrate issue, add mistakenly deleted version string back, and replace foreman-fog with foreman-ec2 as it indicates more clearly what functionality the package provides.

* Fri Jun 29 2012 jmontleo@redhat.com 1.0.0-0.3
- More fixes for dbmigrate, foreman-cli and foreman-release added

* Fri Jun 29 2012 jmontleo@redhat.com 1.0.0-0.2
- Rebuild with develop branch from today for 1.0.0 RC2. Try to fix inconsistent db:migrate runs on upgrades.

* Tue Jun 19 2012 jmontleo@redhat.com 0-5.1-20
- Implement conf.d style Gemfile configuration for bundle to replace the ugly method used in previous rpm versions. Replace foreman-virt package with foreman-libvirt package as it was confusing to have fog virt ovirt and vmware.

* Tue Jun 19 2012 jmontleo@redhat.com 0-5.1-9
- Rebuild with todays develop branch. Add VERSION file 1688, add wget dependency 1514, update rbovirt dep to 0.0.12, and break out ovirt support to foreman-ovirt package.

* Thu Jun 14 2012 jmontleo@redhat.com 0.5.1-8
- Rebuild with todays develop branch.

* Wed Jun 13 2012 jmontleo@redhat.com 0.5.1-7
- Rebuild with todays develop branch. Add require for at least rubygem-rake 0.9.2.2. Run rake:db migrate on upgrade.

* Wed May 30 2012 jmontleo@redhat.com 0.5.1-5
- Rebuild with todays merge of compute resource RBAC patch

* Tue May 29 2012 jmontleo@redhat.com 0.5.1-4
- Fix rpm dependencies for foreman-virt and foreman-vmware to include foreman-fog

* Tue May 29 2012 jmontleo@redhat.com 0.5.1-3
- tidy up postinstall prepbundle.sh, rebuild with EC2 support, and split out foreman-fog and foreman-vmware support

* Tue May 08 2012 jmontleo@redhat.com 0.5.1-1
- adding prepbundle.sh to run post install of any foreman packages, other small fixes

* Fri May 04 2012 jmontleo@redhat.com 0.5.1-0.2
- updated foreman to develop branch from May 04 which included many fixes including no longer requiring foreman-virt

* Wed Jan 11 2012 ohadlevy@gmail.com - 0.4.2
- rebuilt

* Tue Dec 6 2011 ohadlevy@gmail.com - 0.4.1
- rebuilt

* Tue Nov 08 2011 ohadlevy@gmail.com - 0.4
- rebuilt

* Mon Nov 07 2011 ohadlevy@gmail.com - 0.4rc5
- rebuilt

* Tue Oct 25 2011 ohadlevy@gmail.com - 0.4rc4
- rebuilt

* Tue Oct 18 2011 ohadlevy@gmail.com - 0.4rc3
- rebuilt

* Wed Sep 28 2011 ohadlevy@gmail.com - 0.4rc2
- rebuilt

* Sat Sep 10 2011 ohadlevy@gmail.com - 0.4rc1
- rebuilt

* Tue Jun 07 2011 ohadlevy@gmail.com - 0.3
- rebuilt

* Tue May 24 2011 ohadlevy@gmail.com - 0.3rc1-2
- rebuilt

* Thu May 05 2011 ohadlevy@gmail.com - 0.3rc1
- rebuilt

* Tue Mar 29 2011 ohadlevy@gmail.com - 0.2
- Version bump to 0.2

* Tue Mar 22 2011 ohadlevy@gmail.com - 0.2-rc1
- rebuilt

* Thu Feb 24 2011 ohadlevy@gmail.com - 0.1.7-rc5
- rebuilt

* Sat Feb 12 2011 ohadlevy@gmail.com - 0.1.7-rc4.1
- rebuilt

* Mon Jan 31 2011 ohadlevy@gmail.com - 0.1.7-rc3.1
- rebuilt

* Tue Jan 18 2011 ohadlevy@gmail.com - 0.1.7-rc2.1
- rebuilt

* Sat Jan 15 2011 ohadlevy@gmail.com - 0.1.7-rc2
- rebuilt

* Fri Dec 17 2010 ohadlevy@gmail.com - 0.1.7rc1
- rebuilt

* Mon Nov 29 2010 ohadlevy@gmail.com - 0.1.6-3
- rebuilt

* Fri Nov 12 2010 Ohad Levy <ohadlevy@gmail.com> - 0.1.6-1
- Included fix for #461, as without it newly installed instances are not usable

* Thu Nov 11 2010 Ohad Levy <ohadlevy@gmail.com> - 0.1.6
- New upstream version

* Sat Oct 30 2010 Ohad Levy <ohadlevy@gmail.com> - 0.1.6rc2
- New release candidate
- Updated configuration file permssion not to break passenger

* Sun Sep 19 2010 Ohad Levy <ohadlevy@gmail.com> - 0.1.6rc1
- Removed the depenecy upon rack 1.0.1 as its now bundled within Foreman

* Mon May 31 2010 Ohad Levy <ohadlevy@gmail.com> - 0.1.5-1
- New upstream version
- Added migration support between old directory layout to FHS compliancy, upgrades from 0.1-4.x should now work
- Added support for logrotate
- Cleanup old activescaffold plugin leftovers files

* Fri Apr 30 2010 Todd Zullinger <tmz@pobox.com> - 0.1.4-4
- Rework %%install for better FHS compliance
- Misc. adjustments to match Fedora/EPEL packaging guidelines
- Update License field to GPLv3+ to match README
- Use foreman as the primary group for the foreman user instead of puppet
- This breaks compatibility with previous RPM, as directories can't be replaced with links easily.

* Mon Apr 19 2010 Ohad Levy <ohadlevy@gmail.com> - 0.1-4-3
- added status to startup script
- removed puppet module from the RPM

* Mon Apr 12 2010 Ohad Levy <ohadlevy@gmail.com> - 0.1.4-2
- Added startup script for built in webrick server
- Changed foreman user default shell to /sbin/nologin and is now part of the puppet group
- defaults to sqlite database

* Tue Apr 6 2010 Ohad Levy <ohadlevy@gmail.com> - 0.1.4-1
- Initial release.
